<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.all</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        Module&nbsp;all
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.jabber.all-module.html">Module pyxmpp.jabber.all</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2003-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"><tt class="py-comment"># pylint: disable-msg=W0611</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring">"""Convenience module containing most important objects from pyxmpp.jabber</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-docstring">package.</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-docstring">Suggested usage::</tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"><tt class="py-docstring">import pyxmpp.jabber.all</tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"><tt class="py-docstring">(imports all important names into pyxmpp.jabber namespace)"""</tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line"> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-1" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-1', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-2" class="py-name" targets="Package pyxmpp.jabber=pyxmpp.jabber-module.html"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-2', 'jabber', 'link-2');">jabber</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-3" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-3', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-4" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-4', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-5" class="py-name" targets="Module pyxmpp.clientstream=pyxmpp.clientstream-module.html,Module pyxmpp.jabber.clientstream=pyxmpp.jabber.clientstream-module.html"><a title="pyxmpp.clientstream
pyxmpp.jabber.clientstream" class="py-name" href="#" onclick="return doclink('link-5', 'clientstream', 'link-5');">clientstream</a></tt> <tt class="py-keyword">import</tt> <tt id="link-6" class="py-name" targets="Class pyxmpp.jabber.clientstream.LegacyClientStream=pyxmpp.jabber.clientstream.LegacyClientStream-class.html"><a title="pyxmpp.jabber.clientstream.LegacyClientStream" class="py-name" href="#" onclick="return doclink('link-6', 'LegacyClientStream', 'link-6');">LegacyClientStream</a></tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-7" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-7', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-8" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-8', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-9" class="py-name" targets="Module pyxmpp.client=pyxmpp.client-module.html,Module pyxmpp.jabber.client=pyxmpp.jabber.client-module.html"><a title="pyxmpp.client
pyxmpp.jabber.client" class="py-name" href="#" onclick="return doclink('link-9', 'client', 'link-9');">client</a></tt> <tt class="py-keyword">import</tt> <tt id="link-10" class="py-name" targets="Class pyxmpp.jabber.client.JabberClient=pyxmpp.jabber.client.JabberClient-class.html"><a title="pyxmpp.jabber.client.JabberClient" class="py-name" href="#" onclick="return doclink('link-10', 'JabberClient', 'link-10');">JabberClient</a></tt> <tt class="py-keyword">as</tt> <tt id="link-11" class="py-name" targets="Class pyxmpp.client.Client=pyxmpp.client.Client-class.html"><a title="pyxmpp.client.Client" class="py-name" href="#" onclick="return doclink('link-11', 'Client', 'link-11');">Client</a></tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-12" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-12', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-13" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-13', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-14" class="py-name" targets="Module pyxmpp.jabber.disco=pyxmpp.jabber.disco-module.html"><a title="pyxmpp.jabber.disco" class="py-name" href="#" onclick="return doclink('link-14', 'disco', 'link-14');">disco</a></tt> <tt class="py-keyword">import</tt> <tt id="link-15" class="py-name" targets="Variable pyxmpp.jabber.disco.DISCO_NS=pyxmpp.jabber.disco-module.html#DISCO_NS"><a title="pyxmpp.jabber.disco.DISCO_NS" class="py-name" href="#" onclick="return doclink('link-15', 'DISCO_NS', 'link-15');">DISCO_NS</a></tt><tt class="py-op">,</tt><tt id="link-16" class="py-name" targets="Variable pyxmpp.jabber.disco.DISCO_INFO_NS=pyxmpp.jabber.disco-module.html#DISCO_INFO_NS"><a title="pyxmpp.jabber.disco.DISCO_INFO_NS" class="py-name" href="#" onclick="return doclink('link-16', 'DISCO_INFO_NS', 'link-16');">DISCO_INFO_NS</a></tt><tt class="py-op">,</tt><tt id="link-17" class="py-name" targets="Variable pyxmpp.jabber.disco.DISCO_ITEMS_NS=pyxmpp.jabber.disco-module.html#DISCO_ITEMS_NS"><a title="pyxmpp.jabber.disco.DISCO_ITEMS_NS" class="py-name" href="#" onclick="return doclink('link-17', 'DISCO_ITEMS_NS', 'link-17');">DISCO_ITEMS_NS</a></tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-18" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-18', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-19" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-19', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-20" class="py-name"><a title="pyxmpp.jabber.disco" class="py-name" href="#" onclick="return doclink('link-20', 'disco', 'link-14');">disco</a></tt> <tt class="py-keyword">import</tt> <tt id="link-21" class="py-name" targets="Class pyxmpp.jabber.disco.DiscoInfo=pyxmpp.jabber.disco.DiscoInfo-class.html"><a title="pyxmpp.jabber.disco.DiscoInfo" class="py-name" href="#" onclick="return doclink('link-21', 'DiscoInfo', 'link-21');">DiscoInfo</a></tt><tt class="py-op">,</tt><tt id="link-22" class="py-name" targets="Class pyxmpp.jabber.disco.DiscoItems=pyxmpp.jabber.disco.DiscoItems-class.html"><a title="pyxmpp.jabber.disco.DiscoItems" class="py-name" href="#" onclick="return doclink('link-22', 'DiscoItems', 'link-22');">DiscoItems</a></tt><tt class="py-op">,</tt><tt id="link-23" class="py-name" targets="Class pyxmpp.jabber.disco.DiscoItem=pyxmpp.jabber.disco.DiscoItem-class.html"><a title="pyxmpp.jabber.disco.DiscoItem" class="py-name" href="#" onclick="return doclink('link-23', 'DiscoItem', 'link-23');">DiscoItem</a></tt><tt class="py-op">,</tt><tt id="link-24" class="py-name" targets="Class pyxmpp.jabber.disco.DiscoIdentity=pyxmpp.jabber.disco.DiscoIdentity-class.html"><a title="pyxmpp.jabber.disco.DiscoIdentity" class="py-name" href="#" onclick="return doclink('link-24', 'DiscoIdentity', 'link-24');">DiscoIdentity</a></tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-25" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-25', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-26" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-26', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-27" class="py-name" targets="Module pyxmpp.jabber.vcard=pyxmpp.jabber.vcard-module.html"><a title="pyxmpp.jabber.vcard" class="py-name" href="#" onclick="return doclink('link-27', 'vcard', 'link-27');">vcard</a></tt> <tt class="py-keyword">import</tt> <tt id="link-28" class="py-name" targets="Variable pyxmpp.jabber.vcard.VCARD_NS=pyxmpp.jabber.vcard-module.html#VCARD_NS"><a title="pyxmpp.jabber.vcard.VCARD_NS" class="py-name" href="#" onclick="return doclink('link-28', 'VCARD_NS', 'link-28');">VCARD_NS</a></tt><tt class="py-op">,</tt><tt id="link-29" class="py-name" targets="Class pyxmpp.jabber.vcard.VCard=pyxmpp.jabber.vcard.VCard-class.html"><a title="pyxmpp.jabber.vcard.VCard" class="py-name" href="#" onclick="return doclink('link-29', 'VCard', 'link-29');">VCard</a></tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-30" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-30', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-31" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-31', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-32" class="py-name" targets="Module pyxmpp.jabber.register=pyxmpp.jabber.register-module.html"><a title="pyxmpp.jabber.register" class="py-name" href="#" onclick="return doclink('link-32', 'register', 'link-32');">register</a></tt> <tt class="py-keyword">import</tt> <tt id="link-33" class="py-name" targets="Class pyxmpp.jabber.register.Register=pyxmpp.jabber.register.Register-class.html"><a title="pyxmpp.jabber.register.Register" class="py-name" href="#" onclick="return doclink('link-33', 'Register', 'link-33');">Register</a></tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line"> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line"><tt class="py-keyword">for</tt> <tt id="link-34" class="py-name" targets="Variable pyxmpp.all.name=pyxmpp.all-module.html#name,Variable pyxmpp.interfaces.name=pyxmpp.interfaces-module.html#name,Variable pyxmpp.jabber.all.name=pyxmpp.jabber.all-module.html#name,Variable pyxmpp.jabber.disco.DiscoIdentity.name=pyxmpp.jabber.disco.DiscoIdentity-class.html#name,Variable pyxmpp.jabber.disco.DiscoItem.name=pyxmpp.jabber.disco.DiscoItem-class.html#name,Variable pyxmpp.jabberd.all.name=pyxmpp.jabberd.all-module.html#name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-34', 'name', 'link-34');">name</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">dir</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line">    <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt id="link-35" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-35', 'name', 'link-34');">name</a></tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"__"</tt><tt class="py-op">)</tt> <tt class="py-keyword">and</tt> <tt id="link-36" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-36', 'name', 'link-34');">name</a></tt><tt class="py-op">!=</tt><tt class="py-string">"pyxmpp"</tt><tt class="py-op">:</tt> </tt>
<a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line">        <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt id="link-37" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-37', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-38" class="py-name"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-38', 'jabber', 'link-2');">jabber</a></tt><tt class="py-op">,</tt><tt id="link-39" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-39', 'name', 'link-34');">name</a></tt><tt class="py-op">,</tt><tt class="py-name">globals</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">[</tt><tt id="link-40" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-40', 'name', 'link-34');">name</a></tt><tt class="py-op">]</tt><tt class="py-op">)</tt> </tt>
<a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line"> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:09 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
